/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
import org.hibernate.Session;

public class LifecycleTest extends SessionTest {
  public void testPasswordHashing() {
    User u = new User();
    u.setLogin("admin");
    u.setPassword("weak!");
    sess.saveOrUpdate(u);
    assertNotNull(u.getCryptedPassword());
    assertNull(u.getPassword());
  }
}
