/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
import junit.framework.TestCase;
import org.hibernate.Session;

public class SessionTest extends TestCase {
  Session sess;
  protected void setUp()
      throws Exception {
    sess = HibernateUtil.sf.getCurrentSession();
  }

  protected void tearDown()
      throws Exception {
    if (sess != null) {
      if (sess.isOpen()) {
        if (sess.getTransaction().isActive()) {
          sess.getTransaction().rollback();
        }
        if (sess.isOpen()) {
          sess.close();
        }
      }
    }
  }

  public void testSession() {
    assertNotNull(sess);
  }
}
