/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
public class Person {
  private String firstName;
  private String lastName;

  public Person(String firstName, String lastName) {
    this.firstName = firstName;
    this.lastName = lastName;
  }

  public String getFirstName() {
    return firstName;
  }
  public void setFirstName(String firstName) {
    this.firstName = firstName;
  }
  public String getLastName() {
    return lastName;
  }
  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public String getFullName() {
    return String.format("%s %s", firstName, lastName);
  }
  public void marry(Person other) {
    String newLastName =
        String.format("%s-%s", getLastName(), other.getLastName());
    setLastName(newLastName);
    other.setLastName(newLastName);
  }
  
  public static String getSpecies() {
    return "Homo sapiens";
  }
}
