#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class PersonSweeper < ActionController::Caching::Sweeper    
  CACHED_ACTIONS = ['show', 'edit']
  observe Person        
  def expire_cache_for_instance(inst)
    CACHED_ACTIONS.each do |action|
      expire_page(:controller=>'people', :action=>action, :id=>inst)  
    end
  end
  alias_method :after_save, :expire_cache_for_instance      
  alias_method :after_destroy, :expire_cache_for_instance
end
