#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require "#{File.dirname(__FILE__)}/../test_helper"

class PersonCachingTest < ActionController::IntegrationTest
  fixtures :people
  def test_caching
    assert_cache_pages('/people/show/1', '/people/edit/1')      
  end
  def test_expiry
    assert_expire_pages('/people/show/1', '/people/edit/1') do  
      post '/people/destroy/1'
    end
  end
end
