#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'test/unit'
require File.dirname(__FILE__) + '/../../lib/active_support/core_ext/pathname'

class TestPathname < Test::Unit::TestCase
  
  def test_clean_within
    assert_equal "Hi", Pathname.clean_within("Hi")
    assert_equal "Hi", Pathname.clean_within("Hi/a/b/../..")
    assert_equal "Hello\nWorld", Pathname.clean_within("Hello/a/b/../..\na/b/../../World/c/..")
  end
  
end
