/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
package poly;

public class Company implements Employer {
  private String name;
  private EmployerImpl employerImpl;
  public Company(String name) {
    this.name = name;
    this.employerImpl = new EmployerImpl();
  }
  public int employeeCount() {
    return employerImpl.getEmployees().length;
  }
  public Employee[] getEmployees() {
    return employerImpl.getEmployees();
  }
  public void addEmployee(Employee e) {
    employerImpl.addEmployee(e);
  }
  public void removeEmployee(Employee e) {
    employerImpl.removeEmployee(e);
  }
}
