/***
 * Excerpted from "Rails For Java Programmers"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
***/
package poly;

public class Demo {
  public static void shortExample() {
    //START:poly
    Employer e1 = new Company("Hal");
    Employer e2 = new BusinessPerson("Steve", "Startup");
    Person stu = new BusinessPerson("Stu", "Halloway");
    Employee stillStu = (Employee) stu;
    e1.addEmployee(stillStu);
    e2.addEmployee(stillStu);
    //END:poly
  }
  public static void continuedExample() {
    //START:continued
    Employer e1 = new Company("Hal");
    Employer e2 = new BusinessPerson("Steve", "Startup");
    Person stu = new BusinessPerson("Stu", "Halloway");
    Employee stillStu = (Employee) stu;
    e1.addEmployee(stillStu);
    e2.addEmployee(stillStu);
    ((Employer)stu).addEmployee(stillStu);
    //END:continued
  }
  public static void main(String[] args) {
    shortExample();
    continuedExample();
  }
}
