#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
class TabularFormBuilder < ActionView::Helpers::FormBuilder
  (field_helpers - %w(hidden_field)).each do |selector|
    src = <<-END_SRC
      def #{selector}(field, *args, &proc)
        "<tr>" +
          "<td><label for='\#{field}'>\#{field.to_s.humanize}:</label></td>" +
          "<td>" + super + "</td>" +
        "</tr>"
      end
    END_SRC
    class_eval src, __FILE__, __LINE__
  end
  def submit_tag(value)
    "<tr>"+
      "<td>&nbsp;</td>"+
      "<td><input name='commit' type='submit' value='#{value}'/></td>"+
    "</tr>"
  end
end
