#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
require 'rubygems'
require_gem 'builder'

b = Builder::XmlMarkup.new :target=>STDOUT, :indent=>1
b.project :name=>"simple-ant", :default=>"compile" do
  b.target :name=>"clean" do
    b.delete :dir=>"classes"
  end
  b.target :name=>"prepare" do
    b.mkdir :dir=>"classes"
  end
  b.target :name=>"compile", :depends=>"prepare" do
    b.javac :srcdir=>'src', :destdir=>'classes'
  end
end

