#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
module Employer
  def employees
    @employees ||= []
  end
  def add_employee(employee)
    employee.employer.remove_employee(employee) if employee.employer
    self.employees << employee
    employee.employer = self
  end
  def remove_employee(employee)
    self.employees.delete employee
    employee.employer = nil
  end
end