#---
# Excerpted from "Rails For Java Programmers"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_r4j for more book information.
#---
base ||= "../../rails" # set for your own ends
files = tests = setups = teardowns = 0
Dir.glob("#{base}/**/*.rb").each do |f|
  files += 1
  File.open(f) do |file|
    file.each do |line|
      tests += 1 if /< Test::Unit::TestCase/=~line
      teardowns += 1 if /def teardown/=~line
      setups += 1 if /def setup/=~line
    end
  end
end

puts "#{files} .rb files"
puts "#{tests} test classes"
puts "#{setups} test setup methods"
puts "#{teardowns} test teardown methods"